Page MenuHome

Can't save rendered images, when the *.blend file was stored before rendering.
Closed, ResolvedPublic

Description

Hello,

when I want to save rendered images, Blender can't save them as PNG file. After pressing enter or after clicking the "Save As Image" button this error message comes up: "Couldn' write image: //foobar.png" (or whatever the file name is)

When I use the "MultiLayer" as File Type, blender crashes after pressing enter or after clicking the "Save As Image" button.

To show you the whole process I made some numbered screen shots (see attachments)

My operatin system is:

Ubuntu 10.04 (lucid)
Kernel Linux 2.6.32-33-generic-pae
Gnome 2.30.2

The blenderversion I am currently using is: 2.59.9 r39714 from the svn ppa.launchpad.net/cheleb/blender-svn/ubuntu

If you need more info please let me know

And finaly: Sorry for my bad English ^^

Event Timeline

ronsn edited a custom field.Aug 29 2011, 9:10 PM
ronsn attached 1 file(s): F15207: Bildschirmfoto1.png.
ronsn attached 1 file(s): F15208: Bildschirmfoto2.png.
ronsn attached 1 file(s): F15209: Bildschirmfoto3.png.
ronsn attached 1 file(s): F15210: Bildschirmfoto4.png.
ronsn attached 1 file(s): F15211: Bildschirmfoto5.png.
ronsn added a comment.Aug 29 2011, 9:23 PM

I forgot the T in the error message. It should be: "Couldn't write image: //foobar.png"

I tried to redo this bug but wasn't able to - saving PNG / EXR image formats from saved blend files. Since we're both on Linux its strange that only one of us can redo this bug.

ronsn added a comment.Aug 30 2011, 1:46 AM

I had a talk with a Mac user in the #blendercoders chat. He told me, that he had the same problem, but after he tryed it the second time, the problem was gone for him. It was only the first time he tested it. For me it is still the same bug.
It has something to do with the relative path I think. When I uncheck the "Realtive Path" it works fine.

Can confirm the issue, can't save image with Relative path on. Windows 7 here.

ronsn added a comment.Aug 30 2011, 5:06 PM

I confirmed the issue on my two laptops too.

Laptop 1:
LENOVO G550
Operating System: Ubuntu 10.04 (lucid)
Kernel Linux 26.32-33-generic
Gnome 2.30.2

Blender: 2.59.0 r39714


Laptop 2:
SONY VAIO VGN-FS485B
Operating System: Ubuntu 10.04 (lucid)
Kernel Linux 2.6.32-25-generic
Gnome 2.30.2

Blender: 2.59.0 r39714

So I'm NOT the only one getting this issue! BTW, it only happens on builds, no problem on official releases. I suspect a missing library.

Thanks for the report, fixed r39812.

Campbell Barton (campbellbarton) changed the task status from Unknown Status to Resolved.Aug 31 2011, 1:38 AM